
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Installing the MaskRCNN_Watershed pipeline environment &#8212; seg_compare 0.0.1 documentation</title>
    <link rel="stylesheet" href="../_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script src="../_static/language_data.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="nav-item nav-item-0"><a href="../index.html">seg_compare 0.0.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Installing the MaskRCNN_Watershed pipeline environment</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="tex2jax_ignore mathjax_ignore section" id="installing-the-maskrcnn-watershed-pipeline-environment">
<h1>Installing the MaskRCNN_Watershed pipeline environment<a class="headerlink" href="#installing-the-maskrcnn-watershed-pipeline-environment" title="Permalink to this headline">¶</a></h1>
<p>Clone the MaskRCNN repository at  https://github.com/matterport/Mask_RCNN
<code class="docutils literal notranslate"><span class="pre">git</span> <span class="pre">clone</span> <span class="pre">https://github.com/matterport/Mask_RCNN.git</span></code></p>
<p>Navigate to the Mask_RCNN folder and save the <code class="docutils literal notranslate"><span class="pre">mrcnn_env.yaml</span></code> file inside the folder.
The <code class="docutils literal notranslate"><span class="pre">mrcnn_environment.yml</span></code> file may be found under docs/environments</p>
<p>Create a new Conda environment as follows:
<code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">env</span> <span class="pre">create</span> <span class="pre">-f</span> <span class="pre">mrcnn_environment.yaml</span></code></p>
<p>Within the Mask_RCNN folder, create a folder named <code class="docutils literal notranslate"><span class="pre">datasets</span></code>. Copy the MRCNN training dataset into this folder.</p>
<p>Dataset provided in the data repository at: LINK</p>
<p>Download pre-trained COCO weights (mask_rcnn_coco.h5) from: https://github.com/matterport/Mask_RCNN/releases</p>
<p>Copy mask_rcnn_coco.h5 to Mask_RCNN folder .</p>
<p>You can now go to the training part. The watershed based post processing may be done within this environment only.</p>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../_sources/environments/mrcnn_env.md.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="nav-item nav-item-0"><a href="../index.html">seg_compare 0.0.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Installing the MaskRCNN_Watershed pipeline environment</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Anuradha Kar.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 3.2.1.
    </div>
  </body>
</html>